package com.uas.platform.b2b.temporary.model;

import com.uas.platform.b2b.model.User;

import java.io.Serializable;

/**
 * 移动端获取人员信息
 * 
 * @author hejq
 * @time 创建时间：2017年3月20日
 */
public class UserInfo implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Long emcode;
	private String emname;
	private String emdepart;
	private String emrole;
	private String emphone;
	private String ememail;
	private Long emimid;
	private String emsex;

	public UserInfo (){

	}

    public UserInfo(User user) {
    	this.emname = user.getUserName();
    	this.ememail = user.getUserEmail();
    	this.emphone = user.getUserTel();
    }

    public Long getEmcode() {
		return emcode;
	}

	public void setEmcode(Long emcode) {
		this.emcode = emcode;
	}

	public String getEmname() {
		return emname;
	}

	public void setEmname(String emname) {
		this.emname = emname;
	}

	public String getEmdepart() {
		return emdepart;
	}

	public void setEmdepart(String emdepart) {
		this.emdepart = emdepart;
	}

	public String getEmrole() {
		return emrole;
	}

	public void setEmrole(String emrole) {
		this.emrole = emrole;
	}

	public String getEmphone() {
		return emphone;
	}

	public void setEmphone(String emphone) {
		this.emphone = emphone;
	}

	public String getEmemail() {
		return ememail;
	}

	public void setEmemail(String ememail) {
		this.ememail = ememail;
	}

	public Long getEmimid() {
		return emimid;
	}

	public void setEmimid(Long emimid) {
		this.emimid = emimid;
	}

	public String getEmsex() {
		return emsex;
	}

	public void setEmsex(String emsex) {
		this.emsex = emsex;
	}

}
